--[[
Name: Where's He Gone Now?
Revision: $Revision: 5 $
Author(s): ThePants999
Website: http://http://www.wowace.com/addons/wheres-he-gone-now/
SVN: svn://svn.wowace.com/wow/wheres-he-gone-now/mainline/trunk
Description: Keeps an eye on someone's distance from you, and alerts you if they get too far.
License: GNU General Public License version 3 (GPLv3)
]]

local AppName = "Where's He Gone Now?"
local VERSION = AppName .. " -r" .. ("$Revision: 5 $"):match("%d+")

local rc = LibStub("LibRangeCheck-2.0")
WHGN = LibStub("AceAddon-3.0"):NewAddon(AppName, "AceConsole-3.0", "AceEvent-3.0", "AceTimer-3.0")

local UpdateInterval = 0.5
local PlayerName = "Fruttester"
local MaxRange = 20

function WHGN:OnInitialize()
  self.db = LibStub("AceDB-3.0"):New("WHGN_DB")
  self:Print("WHGN is alive!")
end

function WHGN:OnEnable(first)
  self.timer = self:ScheduleRepeatingTimer("TimerPop", UpdateInterval)
end

function WHGN:OnDisable()
  self:UnregisterAllEvents()
  self:CancelAllTimers()
end

function WHGN:TimerPop()
  min, max = rc:GetRange(PlayerName)
  self:Print(PlayerName .. " is at range " .. min .. "-" .. max)
end